# ProjectConfigurationProgressEvent

interface ProjectConfigurationProgressEvent : ProgressEvent

Root interface for all events that signal progress while configuring a project.

#### Since

5.1

#### Inheritors

ProjectConfigurationStartEvent
ProjectConfigurationFinishEvent

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): ProjectConfigurationOperationDescriptor
Returns the description of the project configuration operation for which progress is reported.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long